@import 'styles/variables.sass'

.button
  padding: 0
  margin: 0

  transform: translateY(0)

  border: none
  outline: none
  cursor: pointer

  background: transparent

  &:hover
    animation: jump .2s linear

.round_button
  display: flex
  align-items: center
  justify-content: center
  width: 115px
  height: 115px

  border-radius: 50%

  &.blue
    background-color: $blue

  &.pink
    background-color: $pink

  &.mint
    background-color: $mint

  &.purple
    background-color: $purple

  & .icon
    width: 40px
    height: 40px
    display: inline-block

.buttonText
  margin-top: 10px
  max-width: 115px
  display: inline-block

  font-size: 14px
  color: $black

@keyframes jump
  0%
    transform: translateY(0)

  50%
    transform: translateY(-10px)

  100%
    transform: translateY(0)
